// TestAppDlg.h : header file
//
#pragma once

#include "MySQLMobileInclude.h"


// CTestAppDlg dialog
class CTestAppDlg : public CDialog
{
// Construction
public:
	CTestAppDlg(CWnd* pParent = NULL);	// standard constructor
	~CTestAppDlg(void);

// Dialog Data
	enum { IDD = IDD_TESTAPP_DIALOG };


	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
private:
	BOOL fnLoadMySQLMobileFunctions();
	void fnAddMessage(CString str);
	char* GetAnsiString(const CString &s);
	HINSTANCE m_hMySQLMobileDll;
	BOOL m_bMySQLMobileReady;

	// MySQLMobile definitions
	typedef void (__cdecl *mysql_enable_compression_Proc)(int enable);
	typedef int (__cdecl *mysql_connect_Proc)(char *pszhost, int nport, char *pszusername, char *pszpassword);
	typedef int (__cdecl *mysql_disconnect_Proc)(void);
	typedef int (__cdecl *mysql_select_db_Proc)(char *pszDatabaseName);
	typedef int (__cdecl *mysql_execute_query_Proc)(char *pszQueryString);
	typedef void (__cdecl *mysql_get_last_error_Proc)(int nErrorCode, char* pszError);
	typedef int (__cdecl *mysql_get_last_insert_id_Proc)(void);
	typedef void (__cdecl *mysql_get_last_servermessage_Proc)(char *pszMessage);
	typedef int (__cdecl *mysql_get_fieldcount_Proc)(void);
	typedef int (__cdecl *mysql_get_field_Proc)(char *char_val, int &int_val, int nParam, int nIndex);
	typedef int (__cdecl *mysql_get_rowcount_Proc)(void);
	typedef int (__cdecl *mysql_get_data_Proc)(char *pszElem, int nRow, int nColumn);

	mysql_enable_compression_Proc mysql_enable_compression;
	mysql_connect_Proc mysql_connect;
	mysql_disconnect_Proc mysql_disconnect;
	mysql_select_db_Proc mysql_select_db;
	mysql_execute_query_Proc mysql_execute_query;
	mysql_get_last_error_Proc mysql_get_last_error;
	mysql_get_last_insert_id_Proc mysql_get_last_insert_id;
	mysql_get_last_servermessage_Proc mysql_get_last_servermessage;
	mysql_get_fieldcount_Proc mysql_get_fieldcount;
	mysql_get_field_Proc mysql_get_field;
	mysql_get_rowcount_Proc mysql_get_rowcount;
	mysql_get_data_Proc mysql_get_data;

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
#if defined(_DEVICE_RESOLUTION_AWARE) && !defined(WIN32_PLATFORM_WFSP)
	afx_msg void OnSize(UINT /*nType*/, int /*cx*/, int /*cy*/);
#endif
	DECLARE_MESSAGE_MAP()

public:
	CString m_Edit;
public:
	afx_msg void OnBnClickedConnectbtn();
public:
	afx_msg void OnBnClickedDisconnbtn();
public:
	afx_msg void OnBnClickedSelectdbbtn();
public:
	afx_msg void OnBnClickedExecbtn();
public:
	afx_msg void OnBnClickedShowresultsbtn();
};
